/// <reference types="slickgrid" />
export declare abstract class AbstractTableEditor implements Slick.Editors.Editor<any> {
    protected column: Slick.Column<any>;
    protected container: HTMLElement;
    protected grid: Slick.Grid<any>;
    constructor(args: Slick.Editors.EditorOptions<any>);
    init(): void;
    abstract destroy(): void;
    abstract focus(): void;
    abstract isValueChanged(): boolean;
    abstract serializeValue(): any;
    abstract loadValue(item: any): void;
    abstract applyValue(item: any, state: any): void;
    validate(): {
        valid: boolean;
        msg: string;
    };
    /*********** OPTIONAL METHODS***********/
    hide(): void;
    show(): void;
    position(cellBox: any): void;
}
